cascading.flow.planner

## Class BaseFlowNode

- java.lang.Object
- - cascading.flow.planner.BaseFlowNode

- All Implemented Interfaces:
    FlowNode, ProcessModel, ProcessLogger, Serializable

      public class BaseFlowNode
      extends Object
      implements Serializable, FlowNode, ProcessLogger

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FlowNodeStats` | `flowNodeStats`
    `protected ElementGraph` | `nodeSubGraph`
    `protected List<? extends ElementGraph>` | `pipelineGraphs`
    `protected Set<Tap>` | `sinkTaps`
    `protected Set<Tap>` | `sourceTaps`

    - ### Fields inherited from interface cascading.flow.FlowNode

      `CASCADING_FLOW_NODE`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFlowNode(ElementGraph nodeSubGraph)`
    `BaseFlowNode(ElementGraph nodeSubGraph, List<? extends ElementGraph> pipelineGraphs)`
    `BaseFlowNode(ElementGraph nodeSubGraph, Map<String,String> flowNodeDescriptor)`
    `BaseFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, List<? extends ElementGraph> pipelineGraphs)`
    `BaseFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, List<? extends ElementGraph> pipelineGraphs, Map<String,String> flowNodeDescriptor)`
    `BaseFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, Map<String,String> flowNodeDescriptor)`
    `BaseFlowNode(String name, int ordinal)`
    `BaseFlowNode(String name, int ordinal, Map<String,String> flowNodeDescriptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcessAnnotation(Enum annotation)`
    `void` | `addProcessAnnotation(String key, String value)`
    `boolean` | `equals(Object object)`
    `ElementGraph` | `getElementGraph()`
    `Set<? extends FlowElement>` | `getFlowElementsFor(Enum annotation)`
    `Map<String,String>` | `getFlowNodeDescriptor()` Returns an immutable map of properties giving more details about the FlowNode object.
    `FlowNodeStats` | `getFlowNodeStats()`
    `FlowStep` | `getFlowStep()`
    `Collection<Group>` | `getGroups()`
    `String` | `getID()`
    `String` | `getName()`
    `Collection<? extends Scope>` | `getNextScopes(FlowElement flowElement)`
    `int` | `getOrdinal()`
    `ElementGraph` | `getPipelineGraphFor(FlowElement streamedSource)`
    `List<? extends ElementGraph>` | `getPipelineGraphs()`
    `Collection<? extends Scope>` | `getPreviousScopes(FlowElement flowElement)`
    `Map<String,String>` | `getProcessAnnotations()` Method getProcessAnnotations returns an immutable Map of platform specific annotations or meta-data that describe the current model type.
    `Set<String>` | `getSinkElementNames()`
    `Set<FlowElement>` | `getSinkElements()`
    `Set<? extends FlowElement>` | `getSinkElements(Enum annotation)`
    `Set<String>` | `getSinkTapNames(Tap sink)`
    `Set<Tap>` | `getSinkTaps()`
    `Set<String>` | `getSourceElementNames()`
    `Set<FlowElement>` | `getSourceElements()`
    `Set<? extends FlowElement>` | `getSourceElements(Enum annotation)`
    `Set<String>` | `getSourceTapNames(Tap source)`
    `Set<Tap>` | `getSourceTaps()`
    `int` | `getSubmitPriority()`
    `Tap` | `getTrap(String branchName)`
    `Map<String,Tap>` | `getTrapMap()`
    `Collection<? extends Tap>` | `getTraps()`
    `int` | `hashCode()`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isInfoEnabled()`
    `void` | `logDebug(String message, Object... arguments)`
    `void` | `logError(String message, Object... arguments)`
    `void` | `logError(String message, Throwable throwable)`
    `void` | `logInfo(String message, Object... arguments)`
    `void` | `logWarn(String message)`
    `void` | `logWarn(String message, Object... arguments)`
    `void` | `logWarn(String message, Throwable throwable)`
    `protected void` | `setFlowNodeDescriptor(Map<String,String> flowNodeDescriptor)`
    `void` | `setFlowNodeStats(FlowNodeStats flowNodeStats)`
    `void` | `setFlowStep(FlowStep flowStep)`
    `void` | `setName(String name)`
    `void` | `setOrdinal(int ordinal)`
    `protected void` | `setPipelineGraphs(List<? extends ElementGraph> pipelineGraphs)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeSubGraph

          protected ElementGraph nodeSubGraph

    - #### pipelineGraphs

          protected List<? extends ElementGraph> pipelineGraphs

    - #### sourceTaps

          protected Set<Tap> sourceTaps

    - #### sinkTaps

          protected Set<Tap> sinkTaps

    - #### flowNodeStats

          protected transient FlowNodeStats flowNodeStats

  - ### Constructor Detail

    - #### BaseFlowNode

          public BaseFlowNode(String name,
                      int ordinal)

    - #### BaseFlowNode

          public BaseFlowNode(String name,
                      int ordinal,
                      Map<String,String> flowNodeDescriptor)

    - #### BaseFlowNode

          public BaseFlowNode(ElementGraph nodeSubGraph)

    - #### BaseFlowNode

          public BaseFlowNode(ElementGraph nodeSubGraph,
                      Map<String,String> flowNodeDescriptor)

    - #### BaseFlowNode

          public BaseFlowNode(ElementGraph nodeSubGraph,
                      List<? extends ElementGraph> pipelineGraphs)

    - #### BaseFlowNode

          public BaseFlowNode(FlowElementGraph flowElementGraph,
                      ElementGraph nodeSubGraph,
                      Map<String,String> flowNodeDescriptor)

    - #### BaseFlowNode

          public BaseFlowNode(FlowElementGraph flowElementGraph,
                      ElementGraph nodeSubGraph,
                      List<? extends ElementGraph> pipelineGraphs)

    - #### BaseFlowNode

          public BaseFlowNode(FlowElementGraph flowElementGraph,
                      ElementGraph nodeSubGraph,
                      List<? extends ElementGraph> pipelineGraphs,
                      Map<String,String> flowNodeDescriptor)

  - ### Method Detail

    - #### setOrdinal

          public void setOrdinal(int ordinal)

    - #### getOrdinal

          public int getOrdinal()

      Specified by:
        `getOrdinal` in interface `ProcessModel`

    - #### getID

          public String getID()

      Specified by:
        `getID` in interface `FlowNode`
      Specified by:
        `getID` in interface `ProcessModel`

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ProcessModel`

    - #### getFlowNodeDescriptor

          public Map<String,String> getFlowNodeDescriptor()

      Description copied from interface: `FlowNode`
      Returns an immutable map of properties giving more details about the FlowNode object.

      FlowNode descriptions provide meta-data to monitoring systems describing the workload a given FlowNode represents. For known description types, see `FlowNodeDescriptors`.
      Specified by:
        `getFlowNodeDescriptor` in interface `FlowNode`
      Returns:
        Map

    - #### setFlowNodeDescriptor

          protected void setFlowNodeDescriptor(Map<String,String> flowNodeDescriptor)

    - #### getProcessAnnotations

          public Map<String,String> getProcessAnnotations()

      Description copied from interface: `ProcessModel`
      Method getProcessAnnotations returns an immutable Map of platform specific annotations or meta-data that describe the current model type.

      Use `ProcessModel.addProcessAnnotation(Enum)` or `ProcessModel.addProcessAnnotation(String, String)` to insert annotations or meta-data.
      Specified by:
        `getProcessAnnotations` in interface `ProcessModel`
      Returns:
        an immutable Map

    - #### addProcessAnnotation

          public void addProcessAnnotation(Enum annotation)

      Specified by:
        `addProcessAnnotation` in interface `ProcessModel`

    - #### addProcessAnnotation

          public void addProcessAnnotation(String key,
                                  String value)

      Specified by:
        `addProcessAnnotation` in interface `ProcessModel`

    - #### setFlowNodeStats

          public void setFlowNodeStats(FlowNodeStats flowNodeStats)

    - #### getFlowNodeStats

          public FlowNodeStats getFlowNodeStats()

      Specified by:
        `getFlowNodeStats` in interface `FlowNode`

    - #### setFlowStep

          public void setFlowStep(FlowStep flowStep)

    - #### getFlowStep

          public FlowStep getFlowStep()

      Specified by:
        `getFlowStep` in interface `FlowNode`

    - #### getElementGraph

          public ElementGraph getElementGraph()

      Specified by:
        `getElementGraph` in interface `ProcessModel`

    - #### getSourceElementNames

          public Set<String> getSourceElementNames()

      Specified by:
        `getSourceElementNames` in interface `FlowNode`

    - #### getSourceElements

          public Set<FlowElement> getSourceElements()

      Specified by:
        `getSourceElements` in interface `ProcessModel`

    - #### getSourceElements

          public Set<? extends FlowElement> getSourceElements(Enum annotation)

      Specified by:
        `getSourceElements` in interface `FlowNode`

    - #### getSinkElementNames

          public Set<String> getSinkElementNames()

      Specified by:
        `getSinkElementNames` in interface `FlowNode`

    - #### getSinkElements

          public Set<FlowElement> getSinkElements()

      Specified by:
        `getSinkElements` in interface `ProcessModel`

    - #### getSinkElements

          public Set<? extends FlowElement> getSinkElements(Enum annotation)

      Specified by:
        `getSinkElements` in interface `FlowNode`

    - #### getPipelineGraphs

          public List<? extends ElementGraph> getPipelineGraphs()

      Specified by:
        `getPipelineGraphs` in interface `FlowNode`

    - #### setPipelineGraphs

          protected void setPipelineGraphs(List<? extends ElementGraph> pipelineGraphs)

    - #### getPipelineGraphFor

          public ElementGraph getPipelineGraphFor(FlowElement streamedSource)

      Specified by:
        `getPipelineGraphFor` in interface `FlowNode`

    - #### getGroups

          public Collection<Group> getGroups()

      Specified by:
        `getGroups` in interface `ProcessModel`

    - #### getSourceTaps

          public Set<Tap> getSourceTaps()

      Specified by:
        `getSourceTaps` in interface `ProcessModel`

    - #### getSinkTaps

          public Set<Tap> getSinkTaps()

      Specified by:
        `getSinkTaps` in interface `ProcessModel`

    - #### getSubmitPriority

          public int getSubmitPriority()

      Specified by:
        `getSubmitPriority` in interface `ProcessModel`

    - #### getSourceTapNames

          public Set<String> getSourceTapNames(Tap source)

      Specified by:
        `getSourceTapNames` in interface `FlowNode`

    - #### getSinkTapNames

          public Set<String> getSinkTapNames(Tap sink)

      Specified by:
        `getSinkTapNames` in interface `FlowNode`

    - #### getTrapMap

          public Map<String,Tap> getTrapMap()

      Specified by:
        `getTrapMap` in interface `ProcessModel`

    - #### getTraps

          public Collection<? extends Tap> getTraps()

      Specified by:
        `getTraps` in interface `FlowNode`

    - #### getTrap

          public Tap getTrap(String branchName)

      Specified by:
        `getTrap` in interface `FlowNode`

    - #### getPreviousScopes

          public Collection<? extends Scope> getPreviousScopes(FlowElement flowElement)

      Specified by:
        `getPreviousScopes` in interface `FlowNode`

    - #### getNextScopes

          public Collection<? extends Scope> getNextScopes(FlowElement flowElement)

      Specified by:
        `getNextScopes` in interface `FlowNode`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getFlowElementsFor

          public Set<? extends FlowElement> getFlowElementsFor(Enum annotation)

      Specified by:
        `getFlowElementsFor` in interface `FlowNode`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `ProcessLogger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `ProcessLogger`

    - #### logInfo

          public void logInfo(String message,
                     Object... arguments)

      Specified by:
        `logInfo` in interface `ProcessLogger`

    - #### logDebug

          public void logDebug(String message,
                      Object... arguments)

      Specified by:
        `logDebug` in interface `ProcessLogger`

    - #### logWarn

          public void logWarn(String message)

      Specified by:
        `logWarn` in interface `ProcessLogger`

    - #### logWarn

          public void logWarn(String message,
                     Object... arguments)

      Specified by:
        `logWarn` in interface `ProcessLogger`

    - #### logWarn

          public void logWarn(String message,
                     Throwable throwable)

      Specified by:
        `logWarn` in interface `ProcessLogger`

    - #### logError

          public void logError(String message,
                      Object... arguments)

      Specified by:
        `logError` in interface `ProcessLogger`

    - #### logError

          public void logError(String message,
                      Throwable throwable)

      Specified by:
        `logError` in interface `ProcessLogger`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.